<?php
/**
 * Aquaponics OT: Block Patterns
 *
 * @since Aquaponics OT 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Aquaponics OT 1.0
 *
 * @return void
 */
function green_vegetable_store_register_block_patterns() {
	$green_vegetable_store_block_pattern_categories = array(
		'green-vegetable-store'    => array( 'label' => __( 'Aquaponics OT', 'green-vegetable-store' ) ),
	);

	$green_vegetable_store_block_pattern_categories = apply_filters( 'green_vegetable_store_block_pattern_categories', $green_vegetable_store_block_pattern_categories );

	foreach ( $green_vegetable_store_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'green_vegetable_store_register_block_patterns', 9 );
